Mashroom gmailparser
=============

gmailparser -- ...
-----------------------

gmailparser is a project for parsing incoming emails from portals.


Google Service Account
----------------------

### Create service account for gmailparser
...

### Grant permissions to service account

#### domain wide
...

#### G-Suite oauth2 scope

We need to grant a few scopes to the service account used in gmailparser.
It’s need to be done by Mashroom G-Suite admin.
Just follow the steps from numbered list in [this documentation section](https://developers.google.com/identity/protocols/OAuth2ServiceAccount?authuser=2#delegatingauthority):

1. Go to your G Suite domain’s [Admin console](http://admin.google.com/?authuser=2).
2. Select *Security* from the list of controls. If you don't see *Security* listed,
   select *More controls* from the gray bar at the bottom of the page,
   then select *Security* from the list of controls.
   If you can't see the controls,
   make sure you're signed in as an administrator for the domain.
3. Select *Show more* and then *Advanced settings* from the list of options.
4. Select *Manage API client access* in the *Authentication* section.
5. In the *Client Name* field enter the service account's *Client ID*.
   You can find your service account's client ID in the
   [*Service accounts* page](https://console.developers.google.com/iam-admin/serviceaccounts?authuser=2).
6. In the *One or More API Scopes* field enter the list of scopes that your
   application should be granted access to. For example, if your application needs
   domain-wide access to the Google Drive API and the Google Calendar API, enter:
   `https://www.googleapis.com/auth/drive, https://www.googleapis.com/auth/calendar`.
7. Click Authorize.


These scopes need to be granted to a service account:

```
https://mail.google.com/ 
https://www.googleapis.com/auth/admin.directory.group.readonly 
https://www.googleapis.com/auth/admin.directory.user.readonly 
https://www.googleapis.com/auth/gmail.labels 
https://www.googleapis.com/auth/gmail.metadata 
https://www.googleapis.com/auth/gmail.modify 
https://www.googleapis.com/auth/gmail.readonly 
https://www.googleapis.com/auth/gmail.settings.basic
```