package impl

import (
	"testing"
)

const (
	testNum1 = "07445228426"
	testNum2 = "07445 228426"
	testNum3 = "447445228426"
	testNum4 = "+447445228426"

	rightTestResult = "+447445228426"
)

func TestPhoneNumberFormat(t *testing.T) {

	if FormatPhoneNumber(testNum1) != rightTestResult {
		t.Errorf("Convert %s GB number to E164 fromat in incorrect", testNum1)
	}
	if FormatPhoneNumber(testNum2) != rightTestResult {
		t.Errorf("Convert %s GB number to E164 fromat in incorrect", testNum2)
	}
	if FormatPhoneNumber(testNum3) != rightTestResult {
		t.Errorf("Convert %s GB number to E164 fromat in incorrect", testNum3)
	}
	if FormatPhoneNumber(testNum4) != rightTestResult {
		t.Errorf("Convert %s GB number to E164 fromat in incorrect", testNum4)
	}
}
